LoginSignup
0
0

More than 3 years have passed since last update.

sketchupでruby その5

Posted at

概要

sketchupでrubyやってみた。
followme使ってみた。

写真

sphere.png

サンプルコード

def sphere
   model = Sketchup.active_model
   entities = model.active_entities
   x = 0
   y = 0
   z = 0
   r = 30
   n = 24
   circleBase1 = entities.add_circle(Geom::Point3d.new(x, y, z), Z_AXIS, r, n)
   circleBase2 = entities.add_circle(Geom::Point3d.new(x, y, z), X_AXIS, r, n)
   base = entities.add_face(circleBase1)
   status = base.followme(circleBase2)
end

以上。

0
0
0

Register as a new user and use Qiita more conveniently

  1. You get articles that match your needs
  2. You can efficiently read back useful information
  3. You can use dark theme
What you can do with signing up
0
0